Package org.firebirdsql.management

## Interface ServiceManager

- All Superinterfaces:
    `AttachmentProperties`, `BaseProperties`, `ServiceConnectionProperties`
  All Known Subinterfaces:
    `BackupManager`, `MaintenanceManager`, `NBackupManager`, `StatisticsManager`, `TraceManager`, `UserManager`
  All Known Implementing Classes:
    `FBBackupManager`, `FBBackupManagerBase`, `FBMaintenanceManager`, `FBNBackupManager`, `FBServiceManager`, `FBStatisticsManager`, `FBStreamingBackupManager`, `FBTraceManager`, `FBUserManager`

      public interface ServiceManager
      extends ServiceConnectionProperties

  The base Firebird Service API functionality.
  Author:
    Roman Rokytskyy, Steven Jardine, Mark Rotteveel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDatabase()` | Returns the database path for the connection to the service manager.
    `java.lang.String` | `getHost()` | Deprecated. Use `AttachmentProperties.getServerName()`; will be removed in Jaybird 6 or later
    `java.io.OutputStream` | `getLogger()` | Returns the logger for the connection to the service manager.
    `int` | `getPort()` | Deprecated. Use `AttachmentProperties.getPortNumber()`; will be removed in Jaybird 6 or later
    `GDSServerVersion` | `getServerVersion()` | Obtains the server version through a service call.
    `WireCrypt` | `getWireCryptAsEnum()` | Get the wire encryption level.
    `void` | `setDatabase​(java.lang.String database)` | Sets the database path for the connection to the service manager.
    `void` | `setHost​(java.lang.String host)` | Deprecated. Use `AttachmentProperties.setServerName(String)`; will be removed in Jaybird 6 or later
    `void` | `setLogger​(java.io.OutputStream logger)` | Sets the logger for the connection to the service manager.
    `void` | `setPort​(int port)` | Deprecated. Use `AttachmentProperties.setPortNumber(int)`; will be removed in Jaybird 6 or later
    `void` | `setWireCryptAsEnum​(WireCrypt wireCrypt)` | Set the wire encryption level.

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

      `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

      `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.ServiceConnectionProperties

      `getExpectedDb, getServiceName, setExpectedDb, setServiceName`

- - ### Method Detail

    - #### setDatabase

          void setDatabase​(java.lang.String database)

      Sets the database path for the connection to the service manager.

      Will also set the `expectedDb` property. If a different value must be used, it must be set after calling this method.

      Parameters:
        `database` - path for the connection to the service manager.

    - #### getDatabase

          java.lang.String getDatabase()

      Returns the database path for the connection to the service manager.
      Returns:
        the database path for the connection to the service manager.

    - #### getHost

          @Deprecated
          java.lang.String getHost()

      Deprecated.
      Use `AttachmentProperties.getServerName()`; will be removed in Jaybird 6 or later
      Returns the host for the connection to the service manager.
      Returns:
        the host for the connection to the service manager.

    - #### setHost

          @Deprecated
          void setHost​(java.lang.String host)

      Deprecated.
      Use `AttachmentProperties.setServerName(String)`; will be removed in Jaybird 6 or later
      Sets the host for the connection to the service manager.

      See `AttachmentProperties.setServerName(String)` for details.

      Parameters:
        `host` - for the connection to the service manager.

    - #### getPort

          @Deprecated
          int getPort()

      Deprecated.
      Use `AttachmentProperties.getPortNumber()`; will be removed in Jaybird 6 or later
      Returns the port for the connection to the service manager.
      Returns:
        the port for the connection to the service manager.

    - #### setPort

          @Deprecated
          void setPort​(int port)

      Deprecated.
      Use `AttachmentProperties.setPortNumber(int)`; will be removed in Jaybird 6 or later
      Sets the port for the connection to the service manager.
      Parameters:
        `port` - for the connection to the service manager.

    - #### getWireCryptAsEnum

          WireCrypt getWireCryptAsEnum()

      Get the wire encryption level.
      Returns:
        Wire encryption level
      Since:
        5

    - #### setWireCryptAsEnum

          void setWireCryptAsEnum​(WireCrypt wireCrypt)

      Set the wire encryption level.
      Parameters:
        `wireCrypt` - Wire encryption level (`null` not allowed)
      Since:
        5

    - #### getLogger

          java.io.OutputStream getLogger()

      Returns the logger for the connection to the service manager.
      Returns:
        the logger for the connection to the service manager.

    - #### setLogger

          void setLogger​(java.io.OutputStream logger)

      Sets the logger for the connection to the service manager.
      Parameters:
        `logger` - for the connection to the service manager.

    - #### getServerVersion

          GDSServerVersion getServerVersion()
                                     throws java.sql.SQLException

      Obtains the server version through a service call.
      Returns:
        Parsed server version, or `GDSServerVersion.INVALID_VERSION` if parsing failed.
      Throws:
        `java.sql.SQLException` - For errors connecting to the service manager.